stringprep-1.0.0: Implements the "StringPrep" algorithm

Safe Haskell | Safe-Inferred
Language | Haskell98

Text.CharRanges

Synopsis

- data Range
  - = Single !Char
  - | Range !Char !Char
- range :: Char -> Char -> Range
- single :: Char -> Range
- data CharSet
- toSet :: [Range] -> CharSet
- member :: Char -> CharSet -> Bool

# Documentation

data Range Source #

Constructors

Single !Char |
Range !Char !Char |

#### Instances

Instances details

Show Range Source # |
Instance details Defined in Text.CharRanges Methods showsPrec :: Int -> Range -> ShowS Source # show :: Range -> String Source # showList :: [Range] -> ShowS Source #
Eq Range Source # |
Instance details Defined in Text.CharRanges Methods (==) :: Range -> Range -> Bool Source # (/=) :: Range -> Range -> Bool Source #

range :: Char -> Char -> Range Source #

single :: Char -> Range Source #

data CharSet Source #

toSet :: [Range] -> CharSet Source #

Allows quick lookups using ranges.

member :: Char -> CharSet -> Bool Source #